#!/usr/bin/perl -w
use strict;

open( in1, "<$ARGV[0]" );
my $max_cluster = 0;
while( my $line1 = <in1> ) {
	my $line2 = <in1>;
	my $line3 = <in1>;
	my $line4 = <in1>;
	my $line5 = <in1>;
	my @t1 = ();
	
	chomp( $line1 );
	my ( $t1, $cluster1, $cluster2 ) = split( /\s/, $line1 );
	chomp( $line2 );
	@t1 = split( /\s/, $line2 );
	my $interdist = pop( @t1 );
	
	chomp( $line3 );
	@t1 = split( /\s/, $line3 );
	my $intradist1 = pop( @t1 );
	
	chomp( $line4 );
	@t1 = split( /\s/, $line4 );
	my $intradist2 = pop( @t1 );
	
	chomp( $line5 );
	@t1 = split( /\s/, $line5 );
	my $intradist12 = pop( @t1 );
	
	my @genes = split( /:/, "$cluster1:$cluster2" );
	@genes = sort { $a <=> $b } @genes;
	
	if( $#genes + 1 >= 1 && $#genes + 1 > $max_cluster ) {
		$max_cluster = $#genes + 1;
		print join( "\t", $#genes + 1, $interdist, $intradist1, $intradist2, $intradist12, join( ":", @genes ) );
		print "\n";
	}
}
close( in1 );
